Get a user

Retrieve a user belonging to your business. Version zero returns the latest saved version.

Required permissions: user:read.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

user_idstringRequired
The ID of the user.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Query parameters

versionintegerOptional>=0Defaults to 0

Resource version to return; 0 returns the latest.

Response

The requested user.
BusinessUserobject

A business user, as shown to clients through the client-facing API.

OR
CardholderUserobject

A cardholder user, as shown to clients through the client-facing API.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error